
/// Telewizor ///
#include "stdafx.h"
#include <iostream>
#include <fstream>
using namespace std;


class Telewizor
{
	char Marka[16];
	int Ekran;
	int Cena;
public:
	Telewizor() {}
	char* DajMarke()
	{
		return Marka;
	}

	int DajEkran()
	{
		return Ekran;
	}

	int DajCene( )
	{
		return Cena;
	}
	
	friend istream& operator >> (istream& wejscie, Telewizor& tele); 
	friend ostream& operator << (ostream& wyjscie, Telewizor& tele);

	friend ifstream& operator >> (ifstream& wejscie, Telewizor& tele); 
	friend ofstream& operator << (ofstream& wyjscie, Telewizor& tele);
};


istream& operator >> (istream& wejscie, Telewizor& tele)
{
	cout << "\nPodaj marke telewizora : ";
	wejscie >> tele.Marka;

	cout << "\nPodaj rozmiar ekranu : ";
	wejscie >> tele.Ekran;

	cout << "\nPodaj cene telewizora : ";
	wejscie >> tele.Cena;

	return wejscie;
}

ostream& operator << (ostream& wyjscie, Telewizor& tele)
{
	wyjscie << "\nTelewizor marki \"" << tele.DajMarke() << "\"" ;
	wyjscie << "\nma ekran o wielkosci " << tele.DajEkran() << "\"" ;
	wyjscie << "\ni kosztuje " << tele.DajCene() << " zl.\n\n";

	return wyjscie;
}


ifstream& operator >> (ifstream& wejscie, Telewizor& tele)
{
	wejscie >> tele.Marka;
	wejscie >> tele.Ekran; 
	wejscie >> tele.Cena;

	return wejscie;
}

ofstream& operator << (ofstream& wyjscie, Telewizor& tele)
{
	wyjscie <<  tele.DajMarke() << " ";
	wyjscie <<  tele.DajEkran() << " ";
	wyjscie <<  tele.DajCene()  << " ";

	return wyjscie;
}

void main()
{
	const int Max = 25;

	Telewizor TabTel[Max];

	char Polecenie;
	bool Jeszcze = true;
	int Pozycja = 0,  i;
	char Bufor[16];

	ofstream PlikZap;
	ifstream PlikOd;


	while (Jeszcze)
	{
		cout << "\nPolecenie [N, W, O, Z, Q] : ";
/*
	N - nowy telewizor
	W - wyswietl wszystkie telewizory
	O - odczytaj z pliku
	Z - zapisz do pliku
	Q - koniec programu
*/

		cin >> Polecenie;

		switch(Polecenie & 0x5F)
		{
		case 'N' : 
					if (Pozycja == Max)
					{
						cout <<"\nTablica pena.\n" ;
						return;
					}
					
					cin >> TabTel[Pozycja++];
					
					break;
		case 'W' : 
					for (i = 0; i < Pozycja; i++)
						cout << TabTel[i];
					break;
		case 'Z' : 
					cout << "\nPodaj nazwe pliku do zapisu : ";
					cin >> Bufor;
					PlikZap.open(Bufor, ios::out);

					PlikZap << Pozycja;

					for (i = 0; i < Pozycja; i++)
						PlikZap << TabTel[i];

					cout << "Zapisano.\n";
					break;
		
		case 'O' : 
					cout << "\nPodaj nazwe pliku do odczytu : ";
					cin >> Bufor;
					PlikOd.open(Bufor, ios::in);
					
					if (!PlikOd.is_open())
					{
						cout << "Bledna nazwa pliku.\n";
						break;
					}

					PlikOd >> Pozycja;

					for (i = 0; i < Pozycja; i++)
						PlikOd >> TabTel[i] ;
					
					cout << "Odczytano.\n";
					break;
		
		case 'Q' :	
					Jeszcze = false;
					break;
		default :
					cout << "\nBdne polecenie.\n";
		}
	}

}