
///  Zodiak  ///

#include "stdafx.h"
#include <string.h>

class ZnakZodiaku
{
	char Nazwa[16];
	int Poczatek;

public:

	ZnakZodiaku(char* , int);	// konstruktor


	bool CzyNalezy(int dzien)
	{
		return Poczatek <= dzien ? true : false;
	}

	char* PodajNazwe()
	{
		return Nazwa;
	}
};

ZnakZodiaku::ZnakZodiaku(char* naz, int dzien) :
                                     Poczatek(dzien)
{
	strncpy_s(Nazwa, naz, 15);
}


void main()
{
	ZnakZodiaku Zodiak[12] =
	{
		ZnakZodiaku("Wodnik"    , 21),		// styczen
		ZnakZodiaku("Ryby"      , 21),		// luty
		ZnakZodiaku("Baran"     , 21),		// marzec
		ZnakZodiaku("Byk"       , 21),     // kwiecien
		ZnakZodiaku("Bliznieta" , 22),		//maj 
		ZnakZodiaku("Rak"       , 22),		// czerwiec
		ZnakZodiaku("Lew"       , 23),		// lipiec
		ZnakZodiaku("Panna"     , 23),		// sierpien
		ZnakZodiaku("Waga"      , 23),		// wrzesien
		ZnakZodiaku("Skorpion"  , 24),		// pazdziernik
		ZnakZodiaku("Strzelec"  , 23),		// listopad
		ZnakZodiaku("Koziorozec", 22)		// grudzien
	};

	int Dzien = -1, Miesiac = -1;

	while (Dzien < 1 || Dzien > 31)
	{
		printf("\nPodaj dzien urodzenia : ");
		scanf_s("%d", &Dzien);
	}

	while (Miesiac < 1 || Miesiac > 12)
	{
		printf("\nPodaj miesiac urodzenia : ");
		scanf_s("%d", &Miesiac);
	}

	if (Zodiak[Miesiac - 1].CzyNalezy(Dzien))
		printf("\nJestes spod znaku \"%s\"\n\n",
		        Zodiak[Miesiac - 1].PodajNazwe());
	else
	{
		Miesiac--;
		if (Miesiac == 0)
			Miesiac = 12;

		printf("\nJestes spod znaku \"%s\"\n\n",
		        Zodiak[Miesiac - 1].PodajNazwe());
	}
	printf("\n\n");
}