
/// Ewidencja_1  ///

#include "stdafx.h"
#include <string.h>

class Komputer
{
	private:
		char Oznaczenie[32];
		int Wartosc;
	public:
		//
		void Oznacz (char *Symbol);
		//
		int JakaWartosc();
		bool UstalWartosc(int Nowa);
		//
		bool Przewartosciowanie (int Procent);
};

void Komputer::Oznacz(char *Symbol)
{
	strncpy_s(Oznaczenie, Symbol, 31);
}

int Komputer::JakaWartosc ()
{
	return Wartosc;
}

bool Komputer::UstalWartosc (int Nowa)
{
	if (Nowa > 0)
	{
		Wartosc = Nowa;
		return true;
	}
	else
		return false;
}

bool Komputer::Przewartosciowanie (int Procent)
{
	if (Procent < 0 || Procent >= 100)
		return false;
	else
	{
		Wartosc = Wartosc * (100 - Procent) / 100;
		return true;
	}
}
	
void main ()
{
	Komputer* TAB[100];
	char Polecenie;
	bool Jeszcze = true;
	int Pozycja = 0, Wart, i;
	char Bufor[32];

	while (Jeszcze)
	{
		printf("\nPolecenie [N, P, W, Q] : ");
/*
	N - nowy komputer
	P - przewartosciowanie komputerow
	W - sumaryczna wartosc komputerow
	Q - koniec programu
*/
		fflush(stdin);
		scanf_s("%c", &Polecenie);

		switch(Polecenie & 0x5F)
		{
		case 'N' : 
					if (Pozycja >= 100)
					{
						printf("\nTablica pelna.\n");
						return;
					}
					
					TAB[Pozycja] = new Komputer;
					
					printf("\nPodaj symbol komputera : ");
					scanf_s("%31s", Bufor);
					TAB[Pozycja]->Oznacz(Bufor);

					printf("\nPodaj wartosc komputera : ");
					scanf_s("%d", &Wart);
					if (TAB[Pozycja]->UstalWartosc(Wart))
						Pozycja++;
					else
					{
						printf("\nBledna wartosc.\n");
						delete TAB[Pozycja];
					}

					break;
		case 'W' : 
					Wart = 0;

					for (i = 0; i < Pozycja; i++)
						Wart += TAB[i]->JakaWartosc();

					printf("\nLaczna wartosc = %d\n", Wart);

					break;
		case 'P' : 
					printf("\nPodaj procent przewartosciowania : ");
					scanf_s("%d", &Wart);
					
					for (i = 0; i < Pozycja; i++)
						if (!TAB[i]->Przewartosciowanie(Wart))
						{
							printf("\nBledny procent.\n");
							break;
						}
					break;
		case 'Q' :	
					Jeszcze = false;
					break;
		default :
					printf("\nBledne polecenie.\n");
		}
	}
	printf("\n\n");
}