
/// Koo ///

#include "stdafx.h"
#include <math.h>
#include "iostream"
using namespace std;

const double Pi = 3.141592653589793;
const int Max = 3;

class Punkt
{
public:
	double X;
	double Y;
	Punkt(double x, double y)
	{
		X = x;
		Y = y;
	}
	Punkt() {}

};

class Kolo 
{
	Punkt Centrum;
	double Promien;
public:
	Kolo(Punkt cc, double pp)
	{
		Centrum = cc;
		Promien = pp;
	}
	Kolo() {};
	//
	void UstalCentrum(Punkt cc)
	{
		Centrum = cc;
	}
	Punkt DajCentrum()
	{
		return Centrum;
	}
	//
	bool UstalPromien(double pp)
	{
		 if (pp < 0)
			 return false;
		 else
		 {
			 Promien = pp;
			 return true;
		 }
	}
	double DajPromien()
	{
		return Promien;
	}

	operator double( )
	{
		return Promien * Promien * Pi;  // powierzchnia
	}

	operator Punkt()
	{
		return Punkt(Centrum.X, 0);
	}
};


double OdlegloscX(Punkt a, Punkt b)
{
	return fabs(a.X - b.X);
}

void main()
{

	double S = 0.0;
	Kolo *Naj;
	double TabCentrum[Max][2] =
	{
		{ 2.3, 5.6},
		{-4.2, 8.7},
		{ 4.7, 9.9}
	};

	double TabPromieni[Max] = { 2.1665, 5.4, 8.5 };

	// tworzenie k

	Kolo *TabKol[Max];

	for (int i = 0; i < Max; ++i)
		TabKol[i] = 
		    new Kolo(Punkt(TabCentrum[i][0], TabCentrum[i][1]),
			          TabPromieni[i]);

	// obliczenie sumy powierzchni k
	
	for (int i = 0; i < Max; i++)
		S+= *TabKol[i];

	cout << "\nSuma powierzchni kol wynosi : " << S; 
	
	// wyszukanie k najdalej lezacych najdalej od osi Y

	Naj = TabKol[0];

	for (int i = 1; i < Max; i++)
		if (OdlegloscX(*Naj,Punkt(0,0)) <
			OdlegloscX(*TabKol[i],Punkt(0,0)) )
			Naj = TabKol[i];

	cout << "\nNajdalej od osi Y lezy kolo"
		    "o srodku w punkcie < " <<
		   Naj->DajCentrum().X << ", " <<
		   Naj->DajCentrum().Y << " >\n\n";
}